#!/usr/bin/haserl
Content-Type: text/html

<html>
    <% . ./langdefs.sh %>
    <body>
        <span id="x-green-text">
            <%
                UPTIME=`cat /proc/uptime | cut -d " " -f 1 | cut -d "." -f 1`
                if [[ -z "$UPTIME" ]]; then
                    eval_gettext "Could not determine time since last boot"
                else
                    DAYS=$(($UPTIME / 86400))
                    HOURS=$(( $(($UPTIME / 3600)) - $(($DAYS * 24)) ))
                    MINUTES=$(($(($UPTIME / 60)) - $(($DAYS * 1440)) - $(($HOURS * 60)) ))
#                    SECONDS=$(($UPTIME % 60))

                    eval_gettext "System is up for"
                    echo -n " $DAYS "
                    eval_ngettext "day" "days" "$DAYS"
                    echo -n ", $HOURS "
                    eval_ngettext "hour" "hours" "$HOURS"
                    echo -n " "
                    eval_gettext "and"
                    echo -n " $MINUTES "
                    eval_ngettext "minute" "minutes" "$MINUTES"
                fi
            %>
        </span>
    </body>
</html>
