#!/usr/bin/haserl
Content-Type: text/html

<html>
    <% . ./langdefs.sh %>
    <body>
        <span id="x-green-text">
            <% 
                DSS_PID=`pidof dss`
                if [[ -z "$DSS_PID" ]]; then
                    eval_gettext "dSS application is not running"
                else
                    SINCE=`ls -ld /proc/"$DSS_PID" | awk '{ print $6 " " $7 ", " $8}'`
                    if [[ -z "$SINCE" ]]; then
                        eval_gettext "Could not detemine dSS uptime"
                    else
                        eval_gettext "dSS is running since" 
                        echo " $SINCE"
                    fi
                fi
            %>
        </span>
    </body>
</html>
